/* -*- c-mode -*-
 * <COPYRIGHT>
 * Copyright 2005 Gerd Stolpmann
 *
 * <GPL>
 * This file is part of UMLMON.
 *
 * UMLMON is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * UMLMON is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with UMLMON; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * </>
 */

/* $Id: cow.x 187 2005-10-14 10:54:15Z gerd $  */


const HEADER_LEN_V3 = 4128;   /* = 4096 + 32 */
const PATH_LEN_V3 = 4096;
const COW_BITMAP = 0;
const COW_MAGIC = 0x4f4f4f4d;


/* The .cow header is stored in network byte order, so we can simply access
 * it with our XDR machinery.
 */

/* CHECK: chv3_mtime is originally defined as time_t. This is a 32 bit number
 * for 32 bit systems, and a 64 bit number for 64 bit systems.
 */

struct cow_header_v3 {
    unsigned int    chv3_magic;         /* 32 bit! */
    unsigned int    chv3_version;       /* 32 bit! */
    int             chv3_mtime;         /* 32 bit! */
    unsigned hyper  chv3_size;          /* 64 bit! */
    unsigned int    chv3_sectorsize;    /* 32 bit! */
    unsigned int    chv3_alignment;     /* 32 bit! */
    unsigned int    chv3_cow_format;    /* 32 bit! */
    opaque          chv3_backing_file[PATH_LEN_V3];   /* 0-terminated! */
};
