(*
 * <COPYRIGHT>
 * Copyright 2005 Gerd Stolpmann
 *
 * <GPL>
 * This file is part of UMLMON-Web.
 *
 * UMLMON-Web is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * UMLMON-Web is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with UMLMON-Web; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * </>
 *)

(* $Id: log.ml 121 2005-06-12 13:56:40Z gerd $ *)


let log_error_stderr error =
  Printf.eprintf "[%s] [error] [godi-admin] %s\n"
    (Netdate.format "%c" (Netdate.create ~zone:Netdate.localzone (Unix.time())))
    error;
  flush stderr
;;


let log_error_syslog error =
  let _ = 
    Sys.command ("logger -p user.err -t umlmon_web " ^ 
		 Filename.quote error) in
  ()
;;


let log_error =
  log_error_syslog   (* or log_error_stderr *)
;;

